Package commoble.morered.wires

# Class WireBlockItem

java.lang.Object
net.minecraft.world.item.Item
net.minecraft.world.item.BlockItem
commoble.morered.wires.WireBlockItem

All Implemented Interfaces:
  `net.minecraft.world.level.ItemLike`, `net.minecraftforge.common.extensions.IForgeItem`

public class WireBlockItem extends net.minecraft.world.item.BlockItem

## Nested Class Summary

## Nested classes/interfaces inherited from class net.minecraft.world.item.Item

`net.minecraft.world.item.Item.Properties`

## Field Summary

### Fields inherited from class net.minecraft.world.item.BlockItem

`BLOCK_STATE_TAG`

### Fields inherited from class net.minecraft.world.item.Item

`BASE_ATTACK_DAMAGE_UUID, BASE_ATTACK_SPEED_UUID, BY_BLOCK, canRepair, category, EAT_DURATION, MAX_BAR_WIDTH, MAX_STACK_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`WireBlockItem(net.minecraft.world.level.block.Block blockIn, net.minecraft.world.item.Item.Properties builder)`

## Method Summary

Modifier and Type
Method
Description
`net.minecraft.world.InteractionResult`
`useOn(net.minecraft.world.item.context.UseOnContext context)`

### Methods inherited from class net.minecraft.world.item.BlockItem

`appendHoverText, canFitInsideContainerItems, canPlace, fillItemCategory, getBlock, getBlockEntityData, getDescriptionId, getPlacementState, getPlaceSound, getPlaceSound, mustSurvive, onDestroyed, place, placeBlock, registerBlocks, removeFromBlockToItemMap, setBlockEntityData, updateCustomBlockEntityTag, updateCustomBlockEntityTag, updatePlacementContext`

### Methods inherited from class net.minecraft.world.item.Item

`allowedIn, asItem, builtInRegistryHolder, byBlock, byId, canAttackBlock, canBeDepleted, canBeHurtBy, finishUsingItem, getBarColor, getBarWidth, getCraftingRemainingItem, getDefaultAttributeModifiers, getDefaultInstance, getDescription, getDescriptionId, getDestroySpeed, getDrinkingSound, getEatingSound, getEnchantmentValue, getEquipSound, getFoodProperties, getId, getItemCategory, getMaxDamage, getMaxStackSize, getName, getOrCreateDescriptionId, getPlayerPOVHitResult, getRarity, getRenderPropertiesInternal, getTooltipImage, getUseAnimation, getUseDuration, hasCraftingRemainingItem, hurtEnemy, initializeClient, interactLivingEntity, inventoryTick, isBarVisible, isComplex, isCorrectToolForDrops, isEdible, isEnchantable, isFireResistant, isFoil, isRepairable, isValidRepairItem, mineBlock, onCraftedBy, onUseTick, overrideOtherStackedOnMe, overrideStackedOnOther, releaseUsing, shouldOverrideMultiplayerNbt, toString, use, useOnRelease, verifyTagAfterLoad`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface net.minecraftforge.common.extensions.IForgeItem

`canApplyAtEnchantingTable, canContinueUsing, canDisableShield, canElytraFly, canEquip, canPerformAction, canWalkOnPowderedSnow, createEntity, damageItem, doesSneakBypassUse, elytraFlightTick, getAllEnchantments, getArmorTexture, getAttributeModifiers, getBurnTime, getCraftingRemainingItem, getCreativeTabs, getCreatorModId, getDamage, getDefaultTooltipHideFlags, getEnchantmentLevel, getEnchantmentValue, getEntityLifespan, getEquipmentSlot, getFoodProperties, getHighlightTip, getMaxDamage, getMaxStackSize, getShareTag, getSweepHitBox, getXpRepairRatio, hasCraftingRemainingItem, hasCustomEntity, initCapabilities, isBookEnchantable, isCorrectToolForDrops, isDamageable, isDamaged, isEnderMask, isNotReplaceableByPickAction, isPiglinCurrency, makesPiglinsNeutral, onArmorTick, onBlockStartBreak, onDestroyed, onDroppedByPlayer, onEntityItemUpdate, onEntitySwing, onHorseArmorTick, onItemUseFirst, onLeftClickEntity, onUsingTick, readShareTag, setDamage, shouldCauseBlockBreakReset, shouldCauseReequipAnimation`

## Constructor Details

### WireBlockItem

public WireBlockItem(net.minecraft.world.level.block.Block blockIn, net.minecraft.world.item.Item.Properties builder)

## Method Details

### useOn

public net.minecraft.world.InteractionResult useOn(net.minecraft.world.item.context.UseOnContext context)

Overrides:
  `useOn` in class `net.minecraft.world.item.BlockItem`